<template>
    <div class="map-target">
        <!-- <div
      id="map-container"
      :style='{"width":"600px","height":"600px","transform":"scale(1,1)","transform-origin":"0 0"}'
    ></div> -->
        <div class="map-tip-container">
            <div class="map-container" :element-loading-background="loadingColor" v-loading="loading">
                <div :id="CQId"></div>
                <div :id="main9Id">
                    <div :class="['ljxq', `grade-${ljxqGrade}`]" @click="goToSub('ljxq')">
                        <i class="dot"></i>
                    </div>
                    <div :class="['gxq', `grade-${gxqGrade}`]" @click="goToSub('gxq')">
                        <i class="dot"></i>
                    </div>
                </div>
            </div>
            <div class="fdgz" v-if="!isSub">
                根据改革报表本季度晾晒指标分档计分情况，按照“等距法”将各区县划分为五档，A
                ( 1-9名 )、B ( 10-17名 )、C ( 18-25名 )、D ( 26-33名 )、E (
                34-41名 )，出现并列情况就高不就低。
            </div>
            <div class="map-tip" v-if="!isSub">
                <div class="tip-item">
                    <div class="level-title">A档</div>
                    <div class="tip-text">第1—9名</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">B档</div>
                    <div class="tip-text">第10—17名</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">C档</div>
                    <div class="tip-text">第18—25名</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">D档</div>
                    <div class="tip-text">第26—33名</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">E档</div>
                    <div class="tip-text">第34—41名</div>
                </div>
                <!-- 五档：A档（第1—9位）、B档（第10—17位）、C档（第18—25位）、D档（第26—33位）、E档（第34—41位），分别对应绿、蓝、黄、橙、红“五色图”。 -->
            </div>
        </div>

        <div :class="['list-container', isSub ? 'isSub' : '']">
            <air-table :data="tableData" :tableColumn="tableColumn"
                :lsFd="{ A: true, B: true, C: true, D: true, E: true }"></air-table>
        </div>

        <!-- <div class="level-container" ref="container" :element-loading-background="loadingColor" v-loading="loading">
      
      <div class="level-title level-title-A">A</div>
      <div class="level-header" v-if="levelDataA.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataA" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.score }}</span>
      </div>
      <div class="level-title level-title-B">B</div>
      <div class="level-header" v-if="levelDataB.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataB" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.score }}</span>
      </div>
      <div class="level-title level-title-C">C</div>
      <div class="level-header" v-if="levelDataC.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataC" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.score }}</span>
      </div>
      <div class="level-title level-title-D">D</div>
      <div class="level-header" v-if="levelDataD.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataD" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.score }}</span>
      </div>
      <div class="level-title level-title-E">E</div>
      <div class="level-header" v-if="levelDataE.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataE" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.score }}</span>
      </div>
    </div> -->
    </div>
</template>

<script>
import airTable from './airTable.vue'
import mapTargetMixin from '@/mixins/mapTargetMixin.js'
// import {
//   initLayer,
//   mapClickEvent,
//   getFiveColor,
//   getAreaCode,
//   setLayerVisible,
//   setLayerOpacity,
//   zoomInit
// } from 'dlzx-five-color-ags-v2'
// import {loadModules} from 'esri-loader'
const emphasisColor = {
    A: '#2ce5c4',
    B: '#4CA9FF',
    C: '#F9F953',
    D: '#EFB569',
    E: '#E42020',
    N: '#aaf15e',
}
export default {
    mixins: [mapTargetMixin],
    components: {
        airTable,
    },
    props: {
        options: {
            type: Object,
            default: () => {
                return {}
            },
        },
        CQId: {
            type: String,
            default: 'cq-contianer_all',
        },
        main9Id: {
            type: String,
            default: 'main9-contianer_all',
        },
        // isClick: {
        //     type: Boolean,
        //     default: true,
        // },
    },
    data() {
        return {
            tableColumn: [
                { label: '排名', prop: 'allSn' },
                { label: '区县', prop: 'unitName' },
                { label: '得分', prop: 'score' },
            ],
            typeNum: 'score',
            typeGrade: 'allGrade'
        }
    },
    mounted() {
        this.initData()
        this.$bus.$on('changeDate', () => {
            this.initData()
        })
        this.$nextTick(() => {
            this.initMapMain()
            this.initMapCQ()
        })
        this.$root.$on('resize', () => {
            this.resize(500)
        })
    },
    methods: {
        handleDetail(comp, unitName, type) {
            this.$router.push({
                path: '/DetailComponent',
                name: 'DetailComponent',
                query: {
                    unitName,
                    comp,
                    type,
                },
            })
        }
        // initData() {
        //   this.loading = true
        //   let searchDate = sessionStorage.getItem('searchDate')
        //   searchDate = JSON.parse(searchDate)
        //   let data = this.qs.stringify({
        //     year: searchDate.year,
        //     quarter: searchDate.quarter
        //   })
        //   apiList.statementDetail(data, res => {
        //     if (res) {
        //       this.$bus.$emit('exportExcel', res)
        //       this.showData = []
        //       let fd = ['A', 'B', 'C', 'D', 'E']
        //       res.forEach(item => {
        //         let code = 0
        //         this.areaCode.forEach(codeItem => {
        //           if (codeItem.name === item.unitName) {
        //             code = codeItem.code
        //           }
        //         })
        //         this.showData.push({
        //           code: code,
        //           value: fd.indexOf(item.allGrade)
        //         })
        //       })
        //       console.log(this.showData);
        //       if (this.viewLayer) {
        //         this.viewLayer.map.remove(this.layer)
        //         this.layer = null
        //         this.addLayer(this.showData)
        //       } else {
        //         this.initMap()
        //       }
        //     }
        //   })
        // },
        // initMap(){
        // 	// 初始化地图
        // 	loadModules([
        // 		'esri/Map',
        // 		'esri/views/MapView',
        // 		'esri/layers/FeatureLayer'
        // 	])
        // 		.then(async ([Map, MapView, FeatureLayer]) => {
        // 			const map = new Map({}); // 地图容器
        // 			const view = new MapView({ // 视图容器
        // 				container: 'map-container', // dom元素添加id为map-container的元素
        // 				map,
        // 				center: [107.74, 30.29], // 地图中心点
        // 				zoom:8,
        // 				scale:5200000,
        // 				zoomFactor: 0.01// 缩放更加平滑
        // 			});
        // 			view.ui.remove('zoom')
        // 			view.ui.remove('attribution')
        // 			this.viewLayer = view
        // 			await this.addLayer(this.showData)
        // 		})
        // },
        // async addLayer(data){

        // 	if(!this.layer){
        // 		// 创建五色图
        // 		let view = this.viewLayer
        // 		const fiveLayerInst = await initLayer({
        //       env:"ZWWW",
        //       token: 'SkJZSXI0S3RVS05SaXdvaGxWbGh5WFBLX2ZsVzB5cGE0WUhpWHdldXUtVQ==',
        //       //互联网
        // 			// token: 'WmtBS01BLTdZbzRBMHRTXzE4NFA0cktBcno4VFZiS1ZZUTk1TlVIZEI1VQ==',
        //       //政务网
        // 			// token:'bXVqMHY0c3ZwWHBSZmIzaXMteDVuN0wwNUNZdmpuU3F2MUdZTFZzNWtEVQ==',
        // 			areaData: data,
        // 			rangeData: [1,2,3,4,5],
        // 			initColor:['#0EE717','#1EBBFF','#E9ED18','#F9AB50','#DC3E30'],
        // 			// env:'zww',
        // 			view,
        // 			mapContainer: 'map-container',
        // 			fontStyle:{
        // 				color:'white',
        // 				font:8
        // 			}
        // 		});

        // 		// 地图点击获取属性值
        // 		view.on('click',(event)=>{
        // 			mapClickEvent(event,view).then(res=>{
        // 				this.$store.commit('screenViewStore/setDq', res.name)
        // 			})
        // 		})
        // 		view.map.add(fiveLayerInst);
        // 		this.viewLayer = view
        // 		this.layer = fiveLayerInst
        // 		let that = this;
        // 		setTimeout(()=>{
        // 			let mapBox = document.getElementById('map-container')
        // 			for(let i=0;i<mapBox.children.length;i++){
        // 				if([...mapBox.children[i].classList].indexOf('ljLabel') !== -1||[...mapBox.children[i].classList].indexOf('gxLabel') !== -1){
        // 					mapBox.children[i].style.textAlign = 'center'
        // 					mapBox.children[i].style.lineHeight = '24px'
        // 					mapBox.children[i].style.cursor = 'pointer'
        // 					if(data.length === 0){
        // 						mapBox.children[i].style.background = 'transparent'
        // 					}else{
        // 						data.forEach(item=>{
        // 							let initColor = ['#0EE717','#1EBBFF','#E9ED18','#F9AB50','#DC3E30']
        // 							if(parseInt(item.code) === 500200&&[...mapBox.children[i].classList].indexOf('ljLabel') !== -1){
        // 								mapBox.children[i].style.background = initColor[parseInt(item.value)-1]
        // 							}
        // 							if(parseInt(item.code) === 500300&&[...mapBox.children[i].classList].indexOf('gxLabel') !== -1){
        // 								mapBox.children[i].style.background = initColor[parseInt(item.value)-1]
        // 							}
        // 						})
        // 					}
        // 				}
        // 			}
        // 			// mapBox.addEventListener('click', function(event) {
        // 			// 	// 检查点击的目标元素是否为所需的子元素
        // 			// 	if (event.target.classList.contains('ljLabel')) {
        // 			// 		// 在这里处理点击事件的逻辑
        // 			// 		that.$store.commit('screenViewStore/setDq', '两江新区')
        // 			// 	}
        // 			// 	if (event.target.classList.contains('gxLabel')) {
        // 			// 		// 在这里处理点击事件的逻辑
        // 			// 		that.$store.commit('screenViewStore/setDq', '高新区')
        // 			// 	}
        // 			// });
        // 		},200)

        // 	}
        // }
    },
}
</script>

<style lang="scss" scoped>
@import './target.scss';

.map-tip {
    bottom: 0;
}

.map-target {
    padding: 30PX 35PX;
}

.level-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    // height: 765px;
    flex-wrap: wrap;
    row-gap: 0;
    align-content: flex-end;

    >* {
        width: 30.33%;
        // flex: 1;
        font-family: '微软雅黑', sans-serif !important;
    }

    .level-title {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        font-size: 24PX;
        font-weight: bold;
        // height: calc(100% / 17);
        height: 32PX;
        line-height: 32PX;
        margin-top: 20PX;

        &:last-child {
            margin-bottom: 5px;
        }
    }

    .level-title-A {
        margin-top: 0;
        background-color: #398C8F;
    }

    .level-title-B {
        background-color: #1970c1;
    }

    .level-title-C {
        background-color: #A3A355;
    }

    .level-title-D {
        background-color: #B0825C;
    }

    .level-title-E {
        background-color: #9B4E55;
    }

    .level-header,
    .level-content-item {
        align-items: center;
        // line-height: 30px;
        margin: 0;
        height: calc(100% / 18);

        span {
            text-align: center;
            font-size: 18px;
            // display: inline-block;
            // padding: 12px 2px;
            flex: 1;
            text-align: center;
            // color:#b1e3ff;

            &:first-child {
                flex: 1.3;
            }

            &:last-child {
                flex: 1;
            }
        }

    }
}

.fdgz {
    letter-spacing: 2PX;
    color: #fff;
    font-size: 18PX;
    line-height: 2;
    font-family: 'Microsoft YaHei', sans-serif;
}
</style>
